class Node:
    def __init__(self, x: int, z: int, index: int, name: str = ""):
        self.x: int = x
        self.z: int = z
        self.index: int = index
        self.name: str = name

    def rename_node(self, name: str):
        self.name = name
